package com.kuyuntech.cofarcooking.device.sdk.devmode.airfryer;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.AirFryerWorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.BaseDevMode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class AfDehydrate extends BaseDevMode {


    public AfDehydrate(){

        this.setMode(AirFryerWorkModes.AF_DEHYDRATE);

        //时间
        this.setMinTime(60);
        this.setMaxTime(12 * 60 * 60);
        this.setDefaultTime(6 * 60 * 60);
        this.setTimeChange(true);

        //140
        this.setDefaultTemp(60);
        this.setMinTemp(40);
        this.setMaxTemp(120);
        this.setTempChange(true);

    }

}
